"""sciencecloud.py - class for finding python scripts for StarDrop

Use of this code is subject to the terms of the StarDrop License Agreement and
use, copying or redistribution of this file for use by other persons or
organisations is prohibited

Copyright(C) Optibrium Ltd 2016
stardrop-support@optibrium.com
"""

import os
import sys
from HelperFunctions import print_traceback

# Specify a directory to hold the centrally maintained scripts
#MyPythonDir = os.path.expanduser('~') + r'/ScienceCloudScripts'

#Specify the name of the module holding the script definitions
ScriptModuleName = 'ScriptFunctionsScienceCloud'


#sys.path.append(MyPythonDir)


def get_stardrop_definitions():
    definitions = []
    try:
        ScriptModule = __import__(ScriptModuleName)
        for func in ScriptModule.Functions:
            definitions.append({
                'script_name': func['name'],
                'callback': func['callback']
            })
    except:
        print_traceback()

    return definitions
